Bug 459306 - fedora Linux needs to be more keyboard friendly
fedora Linux needs to be more keyboard friendly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-15 18:27 EDT by Need Real Name
Modified: 2015-03-03 17:33 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:08:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2008-08-15 18:27:36 EDT
Linux is meant to be keyboard friendly. It's not. Using Gnome requires constant attention to whether you're typing in the right place.

Description of problem:
If I am typing something - anywhere - another application should not start stealing the text I am writing.

Version-Release number of selected component (if applicable):
Fedora 10 RFE?

How reproducible:
Constantly.

Steps to Reproduce:
1. Typing some commands into a shell/word processor/email client/instant message window
2. Get an ssh passphrase dialog/gpg dialog/luks dialog/launch an app that requires you to interact with it.
3. Become frustrated when the "thing" in number 2 steals focus and the text goes in the wrong window.

Additional info:

This *could* be hard to fix, since it might require deciding if you are actively using a window.

I think a better solution could be:
1. Nothing ever steals focus ever
2. The user is alerted that their response is needed (applet tray popup?)
Comment 1 Bill Nottingham 2008-08-20 20:50:10 EDT
These sorts of issues need to be filed against the app in question. Pointing at one likely candidate.
Comment 2 Matthias Clasen 2008-08-23 21:18:33 EDT
Very much too vague to do anything about it...
Comment 3 Need Real Name 2008-08-24 04:25:06 EDT
The idea is:

1. If there are two competing windows waiting on passwords that the second one waits
2. If I am typing something somewhere, and a password window appears, I don't start typing in the password window

If something needs the user's attention it can flash in the notification area, like when a new message arrives in evolution.
Comment 4 John Poelstra 2008-09-08 19:10:28 EDT
Should this bug remain open?
Comment 5 Bug Zapper 2008-11-25 21:47:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Warren Togami 2008-12-03 23:45:24 EST
> 1. If there are two competing windows waiting on passwords that the second
> one waits

This is a legitimate bug.  Also sometimes NEITHER window ends up with keyboard focus and there is no way to recover from this.

> 2. If I am typing something somewhere, and a password window appears, 
> I don't start typing in the password window

The opposite of this behavior is actually more dangerous.  What if you accidentally type your password into an IM window that had popped up because the password dialog did not grab exclusive keyboard?  It happens often to users.
Comment 7 Bug Zapper 2009-11-18 03:16:27 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Need Real Name 2009-11-18 08:01:17 EST
A good demonstration for this is a lot of the recent utilities, such as abrt. Select a report you want to delete, and tap the delete keyboard key: nothing happens.
Comment 9 Need Real Name 2010-01-06 10:01:24 EST
I don't know why this is needinfo.
Comment 10 Bug Zapper 2010-11-04 07:48:39 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-12-05 02:08:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.